Bug 508523 - (miredo) Review Request: miredo - Tunneling of IPv6 over UDP through NATs
Review Request: miredo - Tunneling of IPv6 over UDP through NATs
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Christoph Wickert
Fedora Extras Quality Assurance
:
: 437626 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-28 07:09 EDT by Jens Kuehnel
Modified: 2009-07-26 15:48 EDT (History)
6 users (show)

See Also:
Fixed In Version: 1.1.6-2.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-19 06:17:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
cwickert: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jens Kuehnel 2009-06-28 07:09:02 EDT
Spec URL: http://www.kuehnel.org/miredo.spec
SRPM URL: http://www.kuehnel.org/miredo-1.1.6-1.fc11.src.rpm
Description: 
Miredo is an implementation of the "Teredo: Tunneling IPv6 over UDP
through NATs" proposed Internet standard (RFC4380). It can serve
either as a Teredo client, a stand-alone Teredo relay, or a Teredo
server. It is meant to provide IPv6 connectivity to hosts behind NAT
devices, most of which do not support IPv6, and not even
IPv6-over-IPv4 (including 6to4).

This is my first package and I'm looking at cwickert for a sponsor. :-)

rpmlint error:
E: executable-marked-as-config-file /etc/miredo/client-hook

This is a script that have to be changed sometimes, for example when problems with MTU.
Comment 1 Christoph Wickert 2009-06-28 07:19:05 EDT
*** Bug 437626 has been marked as a duplicate of this bug. ***
Comment 2 Christoph Wickert 2009-06-28 09:44:00 EDT
REVIEW for 997ca4f3248908082d1246912f93de9a  miredo-1.1.6-1.fc11.src.rpm

OK - MUST: rpmlint must be run on every package. The output should be posted in the review.
$ rpmlint Downloads/miredo-*
miredo.i586: E: executable-marked-as-config-file /etc/miredo/client-hook
miredo.i586: W: incoherent-subsys /etc/rc.d/init.d/miredo $prog
miredo.i586: W: incoherent-subsys /etc/rc.d/init.d/miredo-server $prog
miredo-devel.i586: W: no-documentation
3 packages and 0 specfiles checked; 1 errors, 3 warnings.

All these are ok to ignore.

OK - MUST: The package is named according to the Package Naming Guidelines.
OK - MUST: The spec file name matches the base package %{name}, in the format %{name}.spec.
OK - MUST: The package meets the Packaging Guidelines.
OK - MUST: The package is licensed with a Fedora approved license and meets the Licensing Guidelines: GPLv2+
OK - MUST: The License field in the package spec file matches the actual license.
OK - MUST: The license file from the source package is included in %doc.
OK - MUST: The spec file is in American English.
OK - MUST: The spec file for the package is legible.
OK - MUST: The sources used to build the package match the upstream source by MD5 bf49c1ddc068746760787d0cf76e40de
OK - MUST: The package successfully compiles and builds into binary rpms on x86_64
N/A - MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch.
OK - MUST: All build dependencies are listed in BuildRequires.
OK - MUST: The spec file handles locales properly with the %find_lang macro.
OK - MUST: Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun.
N/A - MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package.
OK - MUST: The package owns all directories that it creates.
OK - MUST: The package does not contain any duplicate files in the %files listing.
OK - MUST: Permissions on files are set properly. Every %files section includes a %defattr(...) line.
OK - MUST: The package has a %clean section, which contains rm -rf $RPM_BUILD_ROOT.
OK - MUST: The package consistently uses macros, as described in the macros section of Packaging Guidelines.
OK - MUST: The package contains code, or permissable content.
OK - MUST: Large documentation files should go in a -doc subpackage.
OK - MUST: Files included as %doc do not affect the runtime of the application.
N/A - MUST: Header files must be in a -devel package.
N/A - MUST: Static libraries must be in a -static package.
N/A - MUST: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig'.
OK - MUST: If a package contains library files with a suffix (e.g. libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package.
OK - MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name} = %{version}-%{release}
OK - MUST: The package does not contain any .la libtool archives.
N/A - MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section.
OK - MUST: The packages does not own files or directories already owned by other packages.
OK - MUST: At the beginning of %install, the package runs $RPM_BUILD_ROOT.
OK - MUST: All filenames in rpm packages are valid UTF-8.


SHOULD Items:
N/A - SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
N/A - SHOULD: The description and summary sections in the package spec file should contain translations for supported Non-English languages, if available.
OK - SHOULD: The the package builds in mock, see http://koji.fedoraproject.org/koji/taskinfo?taskID=1439650
OK - SHOULD: The package should compile and build into binary rpms on all supported architectures.
OK - SHOULD: The package functions as described.
OK - SHOULD: If scriptlets are used, those scriptlets must be sane. This is vague, and left up to the reviewers judgement to determine sanity.
N/A - SHOULD: Usually, subpackages other than devel should require the base package using a fully versioned dependency.
N/A - SHOULD: The placement of pkgconfig(.pc) files depends on their usecase, and this is usually for development purposes, so should be placed in a -devel pkg.
N/A - SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin consider requiring the package which provides the file instead of the file itself.


Other items:
OK - optflags are honored
OK - timestamps are kept
OK - latest version packaged

Issues:
- Missing Requires(%post)/Requires(%postun) for /sbin/ldconfig
- Do not use %exclude, just rm during %install instead. %excluded files are still taken into account when rpm calculates the size of a package.
- The files that are commented out are meant for EPEL. You should use conditionals as described in
https://fedoraproject.org/wiki/Packaging/DistTag#Conditionals
- %{_initrddir}/isatapd should be included as ghost %ghost %config(noreplace,missingok). Of course you need to create it first during %install.
- One blank line between every changelog entry please

Please fix the issues and I will approve the package.
Comment 4 Jens Kuehnel 2009-06-28 09:58:25 EDT
Of course the release 2 fixed all the above mentioned issue
Comment 5 Christoph Wickert 2009-06-28 10:03:55 EDT
Release -2 fixes all outstanding issues and therefor is APPROVED. Congrats!
Comment 6 Jens Kuehnel 2009-06-30 11:21:57 EDT
New Package CVS Request
=======================
Package Name: miredo
Short Description: Tunneling of IPv6 over UDP through NATs
Owners: jens
Branches: F-10 F-11 
InitialCC:
Comment 7 Jason Tibbitts 2009-06-30 22:39:17 EDT
CVS done.
Comment 8 Fedora Update System 2009-07-01 01:58:57 EDT
miredo-1.1.6-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/miredo-1.1.6-2.fc11
Comment 9 Fedora Update System 2009-07-01 05:43:50 EDT
miredo-1.1.6-2.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/miredo-1.1.6-2.fc10
Comment 10 Fedora Update System 2009-07-03 15:37:50 EDT
miredo-1.1.6-2.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update miredo'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-7318
Comment 11 Fedora Update System 2009-07-03 15:46:30 EDT
miredo-1.1.6-2.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update miredo'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-7368
Comment 12 Fedora Update System 2009-07-19 06:17:40 EDT
miredo-1.1.6-2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2009-07-19 06:23:26 EDT
miredo-1.1.6-2.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Jens Kuehnel 2009-07-25 09:28:10 EDT
New Package CVS Request
=======================
Package Name: miredo
Short Description: Tunneling of IPv6 over UDP through NATs
Owners: jens
Branches: EL-5
InitialCC:
Comment 15 Kevin Fenzi 2009-07-26 15:48:32 EDT
cvs done.

Note You need to log in before you can comment on or make changes to this bug.